> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getmint.money/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getmint.money/_mcp/server.

# Get V 1 Payments Payment Id

GET https://api.getmint.money/v1/payments/{paymentId}

Fetch a payment by id

Reference: https://docs.getmint.money/api-reference/payments/get-v-1-payments-payment-id

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `paymentId` (string, required)

## Response

### 200

Default Response

- `data` (V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaData, required)
- `meta` (V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaMeta, required, nullable)
- `error` (string, required, nullable)
- `status` (double, optional, default: 200)

## Types

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaData

- `id` (string, required)
- `currency` (string, required)
- `amount` (double, required)
- `created_at` (datetime, required)
- `updated_at` (datetime, required)
- `expires_at` (datetime, required)
- `checkout_id` (string, required)
- `status` (enum, required)
  - Allowed values: `pending`, `confirming_payment`, `deferred`, `refund_pending`, `refundable`, `paid`, `failed`
- `status_message` (string, required, nullable)
- `refundable_at` (datetime, required, nullable)
- `refund_claim_url` (string, required, nullable)
- `receipt_url` (string, required, nullable)
- `is_test` (boolean, required)
- `return_url` (string, required, nullable)
- `checkout` (V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataCheckout, required)
- `payment_attempt` (V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttempt, optional)
- `payment_address` (string, optional)
- `line_items` (list of V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataLineItemsItems, optional)

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaMeta

- `total` (double, required)
- `offset` (double, required)
- `limit` (double, required)

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataCheckout

- `id` (string, required)
- `name` (string, required)
- `is_live` (boolean, required)
- `checkout_config` (V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataCheckoutCheckoutConfig, required)
- `logo_url` (string, optional)

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttempt

- `attempt_id` (string, required)
- `payment_id` (string, required)
- `amount` (string, required)
- `amount_formatted` (double, required)
- `min_amount` (string, required)
- `expires_at` (datetime, required)
- `settlement_token_address` (string, required)
- `settlement_config` (V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttemptSettlementConfig, required)
- `destination_address` (string, required)
- `refund_to` (string, required, nullable)
- `refund_url` (string, required, nullable)
- `splitter_factory_address` (string, required, nullable)
- `payment_config_hash` (string, required, nullable)
- `refund_claimed_at` (datetime, required, nullable)
- `refund_transaction_hash` (string, required, nullable)
- `payment_provider` (string, required, nullable)
- `payment_address` (string, required, nullable)
- `source_amount` (string, required, nullable)
- `provider_expires_at` (datetime, required, nullable)
- `created_at` (datetime, required)
- `updated_at` (datetime, required)
- `required_confirmations` (double, required)
- `routing` (V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttemptRouting, required)
- `payment_instructions` (V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttemptPaymentInstructions, required, nullable)

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataLineItemsItems

- `name` (string, required)
- `quantity` (integer, required)
- `image_url` (string, required)
- `price` (double, required)

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataCheckoutCheckoutConfig

- `crypto` (V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataCheckoutCheckoutConfigCrypto, optional)

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttemptSettlementConfig

- `chain` (string, required)
- `asset` (string, required)
- `asset_name` (string, required)
- `chain_name` (string, required)
- `asset_id` (string, required)
- `chain_hex` (string, optional)
- `chain_family` (string, optional)
- `token_standard` (string, optional)
- `logo_url` (string, optional)
- `chain_logo_url` (string, optional)

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttemptRouting

- `type` (enum, required)
  - Allowed values: `direct`, `swap`, `bridge`
- `source` (V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttemptRoutingSource, required)
- `provider` (enum, optional)
  - Allowed values: `relay`

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttemptPaymentInstructions

- V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttemptPaymentInstructions0
- V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttemptPaymentInstructions1

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataCheckoutCheckoutConfigCrypto

- `enabled` (boolean, required)
- `settlementConfig` (V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataCheckoutCheckoutConfigCryptoSettlementConfig, required)

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttemptRoutingSource

- `token` (string, required)
- `chain` (string, required)

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttemptPaymentInstructions0

- `type` (enum, required)
  - Allowed values: `relay_deposit_address`
- `provider` (enum, required)
  - Allowed values: `relay`
- `request_id` (string, required)
- `payment_address` (string, required)
- `source_chain` (string, required)
- `source_token` (string, required)
- `source_amount` (string, required)
- `source_amount_formatted` (string, required)
- `expires_at` (datetime, required, nullable)
- `refund_to` (string, required, nullable)
- `provider_status` (enum, required, nullable)
  - Allowed values: `pending`, `confirming_payment`, `paid`, `failed`, `refund_pending`

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataPaymentAttemptPaymentInstructions1

- `type` (enum, required)
  - Allowed values: `token_transfer`
- `payment_address` (string, required)
- `chain` (string, required)
- `chain_name` (string, required)
- `token` (string, required)
- `token_symbol` (string, required)
- `token_standard` (string, required)
- `amount` (string, required)
- `amount_formatted` (string, required)
- `qr_payload` (string, required)
- `expires_at` (datetime, required, nullable)

### V1PaymentsPaymentIdGetResponsesContentApplicationJsonSchemaDataCheckoutCheckoutConfigCryptoSettlementConfig

- `chain` (string, required)
- `asset` (string, required)
- `asset_name` (string, required)
- `chain_name` (string, required)
- `asset_id` (string, required)
- `chain_hex` (string, optional)
- `chain_family` (string, optional)
- `token_standard` (string, optional)
- `logo_url` (string, optional)
- `chain_logo_url` (string, optional)

## Examples

**Response**

```json
{
  "data": {
    "id": "string",
    "currency": "string",
    "amount": 1.1,
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z",
    "expires_at": "2024-01-15T09:30:00Z",
    "checkout_id": "string",
    "status": "pending",
    "status_message": "string",
    "refundable_at": "2024-01-15T09:30:00Z",
    "refund_claim_url": "string",
    "receipt_url": "string",
    "is_test": true,
    "return_url": "string",
    "checkout": {
      "id": "string",
      "name": "string",
      "is_live": true,
      "checkout_config": {
        "crypto": {
          "enabled": true,
          "settlementConfig": {
            "chain": "string",
            "asset": "string",
            "asset_name": "string",
            "chain_name": "string",
            "asset_id": "string",
            "chain_hex": "string",
            "chain_family": "string",
            "token_standard": "string",
            "logo_url": "string",
            "chain_logo_url": "string"
          }
        }
      },
      "logo_url": "string"
    },
    "payment_attempt": {
      "attempt_id": "string",
      "payment_id": "string",
      "amount": "string",
      "amount_formatted": 1.1,
      "min_amount": "string",
      "expires_at": "2024-01-15T09:30:00Z",
      "settlement_token_address": "string",
      "settlement_config": {
        "chain": "string",
        "asset": "string",
        "asset_name": "string",
        "chain_name": "string",
        "asset_id": "string",
        "chain_hex": "string",
        "chain_family": "string",
        "token_standard": "string",
        "logo_url": "string",
        "chain_logo_url": "string"
      },
      "destination_address": "string",
      "refund_to": "string",
      "refund_url": "string",
      "splitter_factory_address": "string",
      "payment_config_hash": "string",
      "refund_claimed_at": "2024-01-15T09:30:00Z",
      "refund_transaction_hash": "string",
      "payment_provider": "string",
      "payment_address": "string",
      "source_amount": "string",
      "provider_expires_at": "2024-01-15T09:30:00Z",
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z",
      "required_confirmations": 1.1,
      "routing": {
        "type": "direct",
        "source": {
          "token": "string",
          "chain": "string"
        },
        "provider": "relay"
      },
      "payment_instructions": {
        "type": "relay_deposit_address",
        "provider": "relay",
        "request_id": "string",
        "payment_address": "string",
        "source_chain": "string",
        "source_token": "string",
        "source_amount": "string",
        "source_amount_formatted": "string",
        "expires_at": "2024-01-15T09:30:00Z",
        "refund_to": "string",
        "provider_status": "pending"
      }
    },
    "payment_address": "string",
    "line_items": [
      {
        "name": "string",
        "quantity": 1,
        "image_url": "string",
        "price": 1.1
      }
    ]
  },
  "meta": {
    "total": 1.1,
    "offset": 1.1,
    "limit": 1.1
  },
  "error": "string",
  "status": 200
}
```

**SDK Code**

```python
import requests

url = "https://api.getmint.money/v1/payments/paymentId"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.getmint.money/v1/payments/paymentId';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getmint.money/v1/payments/paymentId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.getmint.money/v1/payments/paymentId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getmint.money/v1/payments/paymentId")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getmint.money/v1/payments/paymentId', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.getmint.money/v1/payments/paymentId");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getmint.money/v1/payments/paymentId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```